/**Begin D:\PDM\PDM_UPGRADE\pdm1\WTTE_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_ATTSTATERECORD') 
 CREATE TABLE T_WTTE_ATTSTATERECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FFROZENSTARTDATE DATETIME,
FFROZENENDDATE DATETIME,
FACCOUNTTO DATETIME,
FLOCKTO DATETIME,
FSTORAGETO DATETIME,
FTASKDETAIL BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_SETTLE') 
 CREATE TABLE T_WTTE_SETTLE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSETTLETYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FSETTLEMODE VARCHAR(10) DEFAULT ' ' NOT NULL,
FSETTLEPERIODID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FSETTLESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FSPECIFYDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_SETTLESUBTASK') 
 CREATE TABLE T_WTTE_SETTLESUBTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSUBTASKSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FREFRESHTIME DATETIME,
FATTFILETOTALCOUNT INT DEFAULT 0 NOT NULL,
FRUNATTFILE INT DEFAULT 0 NOT NULL,
FSUCCEEDATTFILE INT DEFAULT 0 NOT NULL,
FFAILEDATTFILE INT DEFAULT 0 NOT NULL,
FNOTRUNATTFILE INT DEFAULT 0 NOT NULL,
FTOTALATTPERSON INT DEFAULT 0 NOT NULL,
FRUNATTPERSON INT DEFAULT 0 NOT NULL,
FSUCCEEDATTPERSON INT DEFAULT 0 NOT NULL,
FFAILEDATTPERSON INT DEFAULT 0 NOT NULL,
FNOTRUNATTPERSON INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FINDEX INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_SETTLETASK') 
 CREATE TABLE T_WTTE_SETTLETASK (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTASKSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FTIMECOST BIGINT DEFAULT 0 NOT NULL,
FTASKDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTOTALSUBTASK INT DEFAULT 0 NOT NULL,
FFINISHEDSUBTASK INT DEFAULT 0 NOT NULL,
FREFRESHTIME DATETIME,
FPROGRESS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FCATEGORY VARCHAR(50) DEFAULT ' ' NOT NULL,
FHASSUBTASK CHAR(1) DEFAULT '0' NOT NULL,
FCALSTARTDATE DATETIME,
FCALENDDATE DATETIME,
FTOTALATTFILE INT DEFAULT 0 NOT NULL,
FRUNATTFILE INT DEFAULT 0 NOT NULL,
FSUCCEEDATTFILE INT DEFAULT 0 NOT NULL,
FFAILEDATTFILE INT DEFAULT 0 NOT NULL,
FNOTRUNATTFILE INT DEFAULT 0 NOT NULL,
FTOTALATTPERSON INT DEFAULT 0 NOT NULL,
FRUNATTPERSON INT DEFAULT 0 NOT NULL,
FSUCCEEDATTPERSON INT DEFAULT 0 NOT NULL,
FFAILEDATTPERSON INT DEFAULT 0 NOT NULL,
FNOTRUNATTPERSON INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_SETTLETASK_L') 
 CREATE TABLE T_WTTE_SETTLETASK_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_SETTLETASKDETAIL') 
 CREATE TABLE T_WTTE_SETTLETASKDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FSUBTASKID BIGINT DEFAULT 0 NOT NULL,
FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FATTFILEBOID BIGINT DEFAULT 0 NOT NULL,
FATTPERSONJOBID BIGINT DEFAULT 0 NOT NULL,
FATTTAGID BIGINT DEFAULT 0 NOT NULL,
FEXINFO VARCHAR(800) DEFAULT ' ' NOT NULL,
FEXINFO_TAG NCLOB,
FREALCALSTARTDATE DATETIME,
FREALCALENDDATE DATETIME,
FTASKDETAILSTATE VARCHAR(20) DEFAULT ' ' NOT NULL,
FEXCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_SETTLEINFO') 
 CREATE TABLE T_WTTE_SETTLEINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FATTPERIODID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FFROZENSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FFROZENDATE DATETIME,
FFROZENUSER BIGINT DEFAULT 0 NOT NULL,
FLOCKSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FLOCKDATE DATETIME,
FLOCKUSER BIGINT DEFAULT 0 NOT NULL,
FSTORAGESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTORAGEDATE DATETIME,
FSTORAGEUSER BIGINT DEFAULT 0 NOT NULL,
FPERATTPERIOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FTASKDETAILID BIGINT DEFAULT 0 NOT NULL,
FBUSSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTTE_SETTLEINFOHIS') 
 CREATE TABLE T_WTTE_SETTLEINFOHIS (
FID BIGINT DEFAULT 0 NOT NULL,
FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FATTPERIODID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FFROZENSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FFROZENDATE DATETIME,
FFROZENUSER BIGINT DEFAULT 0 NOT NULL,
FLOCKSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FLOCKDATE DATETIME,
FLOCKUSER BIGINT DEFAULT 0 NOT NULL,
FSTORAGESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTORAGEDATE DATETIME,
FSTORAGEUSER BIGINT DEFAULT 0 NOT NULL,
FPERATTPERIOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FTASKDETAILID BIGINT DEFAULT 0 NOT NULL,
FBUSSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);



/**End D:\PDM\PDM_UPGRADE\pdm1\WTTE_table.sql **/
